aries-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From LongkerDandy <longkerda...@gmail.com>
Subject Get Aries snapshot and maven dependency problem.
Date Fri, 03 Dec 2010 09:31:22 GMT
Hi

I have a problem trying to get Aries latest snapshot bundle from maven.
I used to build Aries my self and copy the Aries bundles from the blog
sample.
Now I want to write a assembly module like the blog-assembly, my code
is simply like this:

    <repositories>
        <repository>
            <id>repository.apache.org</id>
            <url>
https://repository.apache.org/content/groups/snapshots-group/</url>
            <snapshots>
                <enabled>true</enabled>
            </snapshots>
        </repository>
    </repositories>

    <dependencies>
        <dependency>
            <groupId>org.apache.aries.blueprint</groupId>
            <artifactId>org.apache.aries.blueprint</artifactId>
            <version>0.3-incubating-SNAPSHOT</version>
        </dependency>
    </dependencies>

 This doesn't seems to work, and I get the error like this:

Missing:
----------
1)
org.apache.aries:org.apache.aries.proxy.api:bundle:0.3-incubating-SNAPSHOT
Try downloading the file manually from the project website.
  Then, install it using the command:
      mvn install:install-file -DgroupId=org.apache.aries
-DartifactId=org.apache.aries.proxy.api
-Dversion=0.3-incubating-20101201.040500-17 -Dpackaging=bundle
-Dfile=/path/to/file



I think is may has some trick, since the "0.3-incubating-20101201.040500-17"
version "org.apache.aries.proxy.api" do exist.
Anyway, my question is, how to configure maven and get it work.

Regards
LongkerDandy

Mime
View raw message